v 14.0 Third Party 808
Download for v 14.0 Deploy on Odoo.sh
Lines of code 456
Technical Name auto_database_backup
LicenseLGPL-3
Websitehttps://www.cybrosys.com
Also available in version v 15.0
You bought this module and need support? Click here!
Lines of code 456
Technical Name auto_database_backup
LicenseLGPL-3
Websitehttps://www.cybrosys.com
Also available in version v 15.0
Community
Enterprise

Automatic Database Backup

A Module for generating database backup and storing backup to multiple locations.

Overview

This module helps to generate backups of your databases automatically on regular interval of times. The generated backups can be stored into local storage, ftp server, sftp server or Google Drive. User can enable auto remove option to automatically delete old backups. User can enable email notification to be notified about the success and failure of the backup generation and storage. Using Automatic Database Backup module user can generate and store database backups to multiple location.

Features

Community & Enterprise Support

Available in Odoo 14.0 Community and Enterprise.

Generate Database Backup

Generate database backups on regular intervals.

Store Backup to FTP Server

Generated backup can be stored to remote FTP server.

Store Backup to SFTP Server

Generated backup can be stored to remote SFTP server.

Store Backup to Google drive

Generated backup can be stored to google drive

Automatically remove old backups.

Old backups files will be deleted automatically based on the obsolescence of backup.

Notify user on success and failure of backup generation

An email notification send to user on successful backup generation also send an email notification when backup operation failed.

Screenshots

Database Backup Configuration Menu

Got Setting --> Technical --> Backup Configuration to configure backups

Crate New Database Backup Configuration

Enter the database name and master password. specify backup type and destination. Enter the backup directory path, if directory does not exist new directory will be created.

Store Backup to Remote SFTP Server

Select backup destination as SFTP, enter credentials. Test connection button to check whether the connection is successful.

A successful message will be displayed if connection is successful

An error message will be displayed if test connection is failed

Store Backup to Remote FTP Server

Select backup destination as FTP, enter credentials. Test connection button to check whether the connection is successful.

Store Backup to Google Drive

Select backup destination as Google Drive. Enter google drive folder ID. Enable and configure Google Drive option from general settings.

Setup refresh token from general settings

Automatically Remove Old Backups

Enable auto remove option, specify number of days to remove backups.

Notify User on Success and Failure of Backup Generation

Enable notify user option, and select a user to notify. An email notification will be sent to the selected user on backup successful and failure.

Successful backup notification email

Notification email when backup generation failed

Scheduled Action For Generating Backup

Enable the 'Automatic database Backup' scheduled action, and set up the execution interval. Based on the scheduled action setup, backups will be generated on regular intervals.

Suggested Products


Our Services


Odoo Customization
Odoo Implementation
Odoo Support
Hire Odoo Developer
Odoo Integration
Odoo Migration
Odoo Consultancy
Odoo Implementation
Odoo Licensing Consultancy

Our Industries


Trading

Easily procure and sell your products

POS

Easy configuration and convivial experience

Education

A platform for educational management

Manufacturing

Plan, track and schedule your operations

E-commerce & Website

Mobile friendly, awe-inspiring product pages

Service Management

Keep track of services and invoice

Restaurant

Run your bar or restaurant methodically

Hotel Management

An all-inclusive hotel management application

Need Help?


+91 86068 27707

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
There are no ratings yet!
I can not install since I get import error
by
Couchoud Tim
on 8/13/22, 5:01 AM

Can you please help and explain why I get this error?

Thx.

Erreur:

Odoo Server Error


Traceback (most recent call last):

  File "/opt/devodoo/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "/opt/devodoo/odoo/odoo/http.py", line 683, in dispatch

    result = self._call_function(**self.params)

  File "/opt/devodoo/odoo/odoo/http.py", line 359, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/opt/devodoo/odoo/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/opt/devodoo/odoo/odoo/http.py", line 347, in checked_call

    result = self.endpoint(*a, **kw)

  File "/opt/devodoo/odoo/odoo/http.py", line 912, in __call__

    return self.method(*args, **kw)

  File "/opt/devodoo/odoo/odoo/http.py", line 531, in response_wrap

    response = f(*args, **kw)

  File "/opt/devodoo/odoo/addons/web/controllers/main.py", line 1398, in call_button

    action = self._call_kw(model, method, args, kwargs)

  File "/opt/devodoo/odoo/addons/web/controllers/main.py", line 1386, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/opt/devodoo/odoo/odoo/api.py", line 399, in call_kw

    result = _call_kw_multi(method, model, args, kwargs)

  File "/opt/devodoo/odoo/odoo/api.py", line 386, in _call_kw_multi

    result = method(recs, *args, **kwargs)

  File "<decorator-gen-72>", line 2, in button_immediate_install

  File "/opt/devodoo/odoo/odoo/addons/base/models/ir_module.py", line 74, in check_and_log

    return method(self, *args, **kwargs)

  File "/opt/devodoo/odoo/odoo/addons/base/models/ir_module.py", line 475, in button_immediate_install

    return self._button_immediate_function(type(self).button_install)

  File "/opt/devodoo/odoo/odoo/addons/base/models/ir_module.py", line 593, in _button_immediate_function

    modules.registry.Registry.new(self._cr.dbname, update_module=True)

  File "/opt/devodoo/odoo/odoo/modules/registry.py", line 89, in new

    odoo.modules.load_modules(registry._db, force_demo, status, update_module)

  File "/opt/devodoo/odoo/odoo/modules/loading.py", line 459, in load_modules

    processed_modules += load_marked_modules(cr, graph,

  File "/opt/devodoo/odoo/odoo/modules/loading.py", line 347, in load_marked_modules

    loaded, processed = load_module_graph(

  File "/opt/devodoo/odoo/odoo/modules/loading.py", line 179, in load_module_graph

    load_openerp_module(package.name)

  File "/opt/devodoo/odoo/odoo/modules/module.py", line 385, in load_openerp_module

    __import__('odoo.addons.' + module_name)

  File "/opt/devodoo/custom-addons/auto_database_backup/__init__.py", line 23, in <module>

    from . import models

  File "/opt/devodoo/custom-addons/auto_database_backup/models/__init__.py", line 21, in <module>

    from . import db_backup_configure

  File "/opt/devodoo/custom-addons/auto_database_backup/models/db_backup_configure.py", line 30, in <module>

    import paramiko

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/opt/devodoo/odoo/odoo/http.py", line 639, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/opt/devodoo/odoo/odoo/http.py", line 315, in _handle_exception

    raise exception.with_traceback(None) from new_cause

ModuleNotFoundError: No module named 'paramiko'